"use strict";

export const isFunction = f => typeof f === 'function';
export function parallelize(...funs) {
  return (...props) => {
    for (let i = 0; i < funs.length; i++) {
      const fun = funs[i];
      if (typeof fun === 'function') {
        fun(...props);
      }
    }
  };
}
//# sourceMappingURL=utils.js.map