import type { Callback, Clean } from './types';
type CallbacksMap = Map<any, Set<any>>;
type CleansMap = Map<any, Map<Callback, Clean | undefined | void>>;
export interface Store {
    callbacksMap: {
        current?: CallbacksMap;
    };
    cleansMap: {
        current?: CleansMap;
    };
}
export declare const useStore: () => Store;
export declare const addCallback: (store: Store, itemKey: any, callback: Callback) => void;
export declare const removeCallback: (store: Store, itemKey: any, callback: Callback) => void;
export declare const addClean: (store: Store, itemKey: any, callback: Callback, clean: Clean | undefined | void) => void;
export declare const removeClean: (store: Store, itemKey: any, callback: Callback) => void;
export declare const consumeCallbacks: (itemKey: any, store: {
    callbacksMap: {
        current?: CallbacksMap;
    };
    cleansMap: {
        current?: CleansMap;
    };
}) => void;
export declare const consumeCleans: (itemKey: any, store: {
    callbacksMap: {
        current?: CallbacksMap;
    };
    cleansMap: {
        current?: CleansMap;
    };
}) => void;
export {};
//# sourceMappingURL=store.d.ts.map