import React from 'react';
import { type CellRendererProps, type ListRenderItem, type ViewToken } from 'react-native';
import type { Callback } from './types';
export declare const useInViewPort: (callback: Callback, deps?: any[]) => void;
export declare const useIsFirst: (callback: Callback, deps?: any[]) => void;
export declare function observe<L extends React.ComponentType<any>>(List: L): <ItemT>(props: Omit<React.ComponentProps<L>, "ref" | "data" | "renderItem" | "getItemLayout" | "onViewableItemsChanged" | "keyExtractor" | "CellRendererComponent" | "getItemType"> & {
    ref?: any;
    $$enabled?: boolean;
    data: ItemT[];
    renderItem: ListRenderItem<ItemT>;
    getItemLayout?: ((data: ArrayLike<ItemT> | null | undefined, index: number) => {
        length: number;
        offset: number;
        index: number;
    }) | undefined;
    onViewableItemsChanged?: ((info: {
        viewableItems: Array<ViewToken<ItemT>>;
        changed: Array<ViewToken<ItemT>>;
    }) => void) | null | undefined;
    keyExtractor?: ((item: ItemT, index: number) => string) | undefined;
    CellRendererComponent?: React.ComponentType<CellRendererProps<ItemT>> | null | undefined;
    getItemType?: (item: ItemT, index: number, extraData?: any) => string | number | undefined;
}) => React.ReactElement;
//# sourceMappingURL=observe.d.ts.map